org.eclipse.oomph.setup

## Interface Product

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    ProductImpl

      public interface Product
      extends Scope

  A representation of the model object 'Product'.

  The following features are supported:

  - `Product Catalog`
  - `Versions`
  See Also:
    `SetupPackage.getProduct()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductCatalog` | `getProductCatalog()` Returns the value of the 'Product Catalog' container reference.
    `EList<ProductVersion>` | `getVersions()` Returns the value of the 'Versions' containment reference list.
    `void` | `setProductCatalog(ProductCatalog value)` Sets the value of the '`Product Catalog`' container reference.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProductCatalog

          ProductCatalog getProductCatalog()

      Returns the value of the 'Product Catalog' container reference. It is bidirectional and its opposite is '`Products`'.

      If the meaning of the 'Product Catalog' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Product Catalog' container reference.
      See Also:
        `setProductCatalog(ProductCatalog)`, `SetupPackage.getProduct_ProductCatalog()`, `ProductCatalog.getProducts()`
      Generated
      Model
        opposite="products" keys="name"

    - #### setProductCatalog

          void setProductCatalog(ProductCatalog value)

      Sets the value of the '`Product Catalog`' container reference.
      Parameters:
        `value` - the new value of the 'Product Catalog' container reference.
      See Also:
        `getProductCatalog()`
      Generated

    - #### getVersions

          EList<ProductVersion> getVersions()

      Returns the value of the 'Versions' containment reference list. The list contents are of type `ProductVersion`. It is bidirectional and its opposite is '`Product`'.

      If the meaning of the 'Versions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Versions' containment reference list.
      See Also:
        `SetupPackage.getProduct_Versions()`, `ProductVersion.getProduct()`
      Generated
      Model
        opposite="product" containment="true" resolveProxies="true" keys="name" required="true" extendedMetaData="name='version'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html